local math = math
local setmetatable = setmetatable
local common = {}
_ENV = common

common.sign = math.sign or function(x) return x < 0 and -1 or x > 0 and 1 or 0 end

common.deg_to_rad = math.pi / 180

-- Overlap in collision
function common.big_enough_overlap( overlap )
   min_overlap = 0.5
   return( math.abs( overlap ) > min_overlap )
end

return common
