local love = love
local Gamestate = require "hump/gamestate"
local menu = menu

local gamefinished = gamefinished or {}
if setfenv then
  setfenv(1, gamefinished)
else
   _ENV = gamefinished
end

gamefinished.state_name = "gamefinished"

function gamefinished:draw()
   love.graphics.print("Congratulations. You have finished the game.", 10, 10)
   love.graphics.print("Press Esc to exit, Enter to go to the main menu.", 10, 30)
end

function gamefinished:keyreleased( key, code )
   if key == 'return' then
      Gamestate.switch( menu )
   elseif  key == 'escape' then
      love.event.quit()
   end    
end

return gamefinished
